%define pkg_name        Search-Estraier
%define pkg_version     0.08
%define rpm_pkg_version 0.08
%define rpm_pkg_release 1.n0i.2

Summary:       Pure perl module to use Hyper Estraier search engine
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DP/DPAVLIN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)


%description
This module is implementation of node API of Hyper Estraier. Since it's
perl-only module with dependencies only on standard perl modules, it will
run on all platforms on which perl runs. It doesn't require compilation or
Hyper Estraier development files on target machine.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.08

* Sat Jul 01 2006 Marius Feraru <altblue@n0i.net> - 0.06-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
